
import { UIList } from "./Core/Ui/UIDef";

import { UILayerNames } from "./Core/Ui/UILayers";
import { UIMgr } from "./Core/Ui/UIMgr";

const {ccclass, property} = cc._decorator;

@ccclass
export default class Start extends cc.Component {

    /*===========================自动绑定组件开始===========================*/
    /*自动生成*/
    @property({type:cc.Node, displayName:""})
    private $ui_node:cc.Node = null;

	/*===========================自动绑定组件结束===========================*/

    /*===========================自动生成按钮事件开始==========================*/

	/*===========================自动生成按钮事件结束==========================*/

    constructor(){
        super();
    }

    protected async onLoad(): Promise<void> {
        UIMgr.inst.setup(this.$ui_node, UILayerNames.length, UILayerNames);
    }

    private testUI() {
        UIMgr.inst.showUI(UIList.loading);
        UIMgr.inst.showUI(UIList.loading);

        setTimeout(() => {
            UIMgr.inst.hideUI(UIList.loading);
        }, 10000);
    }
}